#ifdef VHDL

/*
 * $Id: Vhdl_generate_file.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"

namespace morpheo              {
namespace behavioural          {

  void Vhdl::generate_file (bool generate_package,
			    bool generate_model  )
  {
    log_printf(FUNC,Behavioural,"generate_file","Begin");
    
    if (generate_package == true)
      generate_file_package();
    if (generate_model   == true)
      generate_file_model  ();

    log_printf(FUNC,Behavioural,"generate_file","End");
  };

  void Vhdl::generate_file (void)
  {
    log_printf(FUNC,Behavioural,"generate_file","Begin");
    generate_file(true, true);
    log_printf(FUNC,Behavioural,"generate_file","End");
  };

}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
